<?php if(!defined('IN_SDCMS')) exit;?><!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="renderer" content="webkit">
<title>后台菜单</title>
<link rel="stylesheet" href="{WEB_ROOT}public/css/ui.css">
<link rel="stylesheet" href="{WEB_ROOT}public/admin/css/layout.css">
<script src="{WEB_ROOT}public/js/jquery.js"></script>
<script src="{WEB_ROOT}public/js/ui.js"></script>
</head>

<body>
    <div class="position">当前位置：系统管理 > <a href="{THIS_LOCAL}">后台菜单</a></div>
    <div class="border">
        <!---->

        <a href="javascript:;" data-url="{U('add')}" class="add-iframe btn btn-info mr-sm">添加菜单</a>
        <form method="post" class="ui-form">
        <table class="table table-border table-hover table-striped mb mt">
            <thead class="thead-gray">
                <tr>
                    <th width="80">排序</th>
                    <th width="80">菜单ID</th>
                    <th>菜单名称</th>
                    <th width="120">状态</th>
                    <th width="240">操作</th>
                </tr>
            </thead>
            <tbody>
            {sdcms:rp top="0" table="sd_admin_menu" where="followid=0" order="ordnum,id"}
            {php $classid=$rp[id]}
            <tr>
                <td><input type="hidden" name="mid[]" value="{$rp[id]}"><input type="text" class="form-ip" name="ordnum[]" id="ordnum_{$rp[id]}" value="{$rp[ordnum]}" data-rule="required;int;"></td>
                <td>{$rp[id]}</td>
                <td class="text-left"> {$rp[title]}</td>
                <td><label class="switch switch-info"><input type="checkbox" {if $rp[islock]==1} checked{/if} data-url="{U('switchs','id='.$rp[id].'')}"><span class="switch-checkbox switch-text"></span></label></td>
                <td class="text-right">{if $rp[followid]==0}<a href="javascript:;" data-url="{U('add',"fid=".$rp[id]."")}" class="add-iframe-son"><span class="ui-icon-plus"></span> 添加子菜单</a>　{/if}<a href="javascript:;" data-url="{U('edit',"id=".$rp[id]."")}" class="edit-iframe"><span class="ui-icon-edit"></span> 编辑</a>　<a href="javascript:;" class="del" data-url="{U('del','id='.$rp[id].'')}"><span class="ui-icon-delete"></span> 删除</a></td>
            </tr>
            {sdcms:rs top="0" table="sd_admin_menu" where="followid=$classid" order="ordnum,id"}
            <tr>
                <td>　　<input type="hidden" name="mid[]" value="{$rs[id]}"><input type="text" class="form-ip w-auto" size="10" name="ordnum[]" id="ordnum_{$rs[id]}" value="{$rs[ordnum]}" data-rule="required;int;"></td>
                <td>{$rs[id]}</td>
                <td class="text-left">　　{$rs[title]}</td>
                <td>　　　<label class="switch switch-info"><input type="checkbox" {if $rs[islock]==1} checked{/if} data-url="{U('switchs','id='.$rs[id].'')}"><span class="switch-checkbox switch-text"></span></label></td>
                <td class="text-right"><a href="javascript:;" data-url="{U('edit',"id=".$rs[id]."")}" class="edit-iframes"><span class="ui-icon-edit"></span> 编辑</a>　<a href="javascript:;" class="del" data-url="{U('del','id='.$rs[id].'')}"><span class="ui-icon-delete"></span> 删除</a></td>
            </tr>
            {/sdcms:rs}
            {/sdcms:rp}
            </tbody>
        </table>
        <button type="submit" class="btn btn-yellow">保存排序</button>
        </form>
        <!---->
    </div>

<script>
$(function()
{
    $(".add-iframe").click(function()
	{
		var url=$(this).attr("data-url");
		$.dialogbox(
		{
			'title':"添加菜单",
			'text':url,
			'width':'500px',
			'height':'230px',
			'type':3,
			'oktheme':'btn-info',
			'ok':function(e)
			{
				e.iframe().contents().find("#sdcms-submit").click();
			}
		});
	});
	 $(".add-iframe-son").click(function()
	{
		var url=$(this).attr("data-url");
		$.dialogbox(
		{
			'title':"添加子菜单",
			'text':url,
			'width':'500px',
			'height':'440px',
			'type':3,
			'oktheme':'btn-info',
			'ok':function(e)
			{
				e.iframe().contents().find("#sdcms-submit").click();
			}
		});
	});
	$(".edit-iframe").click(function()
	{
		var url=$(this).attr("data-url");
		$.dialogbox(
		{
			'title':"编辑菜单",
			'text':url,
			'width':'500px',
			'height':'230px',
			'type':3,
			'oktheme':'btn-info',
			'ok':function(e)
			{
				e.iframe().contents().find("#sdcms-submit").click();
			}
		});
	});
	$(".edit-iframes").click(function()
	{
		var url=$(this).attr("data-url");
		$.dialogbox(
		{
			'title':"编辑菜单",
			'text':url,
			'width':'500px',
			'height':'440px',
			'type':3,
			'oktheme':'btn-info',
			'ok':function(e)
			{
				e.iframe().contents().find("#sdcms-submit").click();
			}
		});
	});
	$('.switch input[type=checkbox]').on('click',function()
	{
		var url=$(this).attr("data-url");
		var result=($(this).is(':checked'))?1:0;
		$.ajax(
		{
			url:url,
			type:"post",
			dataType:'json',
			data:"islock="+result,
			error:function(e){alert(e.responseText);},
			success:function(d)
			{
				if(d.state=='success')
				{
					sdcms.success(d.msg);
				}
				else
				{
					sdcms.error(d.msg);
				}
			}
		});
	});
    $(".ui-form").form(
	{
		type:2,
		result:function(form)
		{
			$.ajax(
			{
                type:'post',
                cache:false,
                dataType:'json',
                url:'{THIS_LOCAL}',
                data:$(form).serialize(),
                error:function(e){alert(e.responseText);},
                success:function(d)
                {
                    if(d.state=='success')
                    {
                        sdcms.success(d.msg);
                        setTimeout(function(){location.href='{THIS_LOCAL}';},1500);
                    }
                    else
                    {
                        sdcms.error(d.msg);
                    }
                }
            });
		}
	});
    $(".del").click(function()
	{
		var url=$(this).attr("data-url");
		$.dialog(
		{
			'title':"操作提示",
			'text':"确定要删除？不可恢复！",
			'oktheme':'btn-info',
			'ok':function(e)
			{
				$.ajax(
				{
                    url:url,type:'post',dataType:'json',
					error:function(e){alert(e.responseText);},
                    success:function(d)
                    {
                        e.close();
                        if(d.state=='success')
                        {
                            sdcms.success(d.msg);
                            setTimeout(function(){location.href='{THIS_LOCAL}';},1000);
                        }
                        else
                        {
                            sdcms.error(d.msg);
                        }
                    }
                });
			}
		});
    });
})
</script>
</body>
</html>